package com.xhpc.user.service;

import com.xhpc.common.core.web.domain.AjaxResult;
import com.xhpc.user.domain.XhpcCommunity;
import com.xhpc.user.domain.XhpcCommunityPersonnel;
import com.xhpc.user.domain.XhpcMotorcade;
import com.xhpc.user.domain.XhpcMotorcadePersonnel;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * @author yuyang
 * @Date 2026-01-15 14:14
 */
public interface IXhpcMotorcadeService {

    /**
     * 车队组树列表
     *
     * @param name         桩名称
     * @return
     */
    List<Map<String, Object>> userList(HttpServletRequest request, String name);

    Map<String, Object> getOrderMotorcade(String mark);

    /**
     * 车队组树列表
     *
     * @param name         桩名称
     * @return
     */
    List<Map<String, Object>> list(HttpServletRequest request, String name);

    /**
     * 新增车队组树
     *
     * @param
     * @return
     */
    AjaxResult addMotorcade(HttpServletRequest request, XhpcMotorcade xhpcMotorcade);

    /**
     * 删除车队组树
     */
    AjaxResult deleteMotorcade(XhpcMotorcade xhpcMotorcade);

    /**
     * 编辑车队组树
     *
     * @param
     * @return
     */
    AjaxResult updateMotorcade(XhpcMotorcade xhpcMotorcade);

    AjaxResult updateMotorcadeMoney(XhpcMotorcade xhpcMotorcade);

    /**
     * 查询车队组
     *
     * @return
     */
    Map<String, Object> getMotorcadeById(XhpcMotorcade xhpcMotorcade);

    /**
     * 车队人员列表
     * @return
     */
    List<Map<String, Object>> motorcadePersonnelList(Long motorcadeId,String account,String phone,Integer status);




    /**
     * 新增车队人员
     * @param
     * @return
     */
    AjaxResult addMotorcadePersonnel(HttpServletRequest request, XhpcMotorcadePersonnel xhpcMotorcadePersonnel);

    /**
     * 查询车队人员
     *
     * @return
     */
    Map<String, Object> getMotorcadePersonnelById(XhpcMotorcadePersonnel xhpcMotorcadePersonnel);

    /**
     * 编辑车队组树
     *
     * @param
     * @return
     */
    AjaxResult updateMotorcadePersonnel(XhpcMotorcadePersonnel xhpcMotorcadePersonnel);

    /**
     * 删除车队人员
     */
    void deleteMotorcadePersonnel(XhpcMotorcadePersonnel xhpcMotorcadePersonnel);

    /**
     * 车队人员状态改变
     */
    void updateMotorcadePersonnelStatus(XhpcMotorcadePersonnel xhpcMotorcadePersonnel);

    /**
     * 充值
     */
    AjaxResult addRecharge(XhpcMotorcadePersonnel xhpcMotorcadePersonnel);

    /**
     * 根据用户id获取车队组
     */
    Map<String, Object> getMotorcadePersonnelUserId(Long userId,String tenantId,Long chargingStationId);
}
